package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmstruckDetailsStatement;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface BmstruckDetailsStatementMapper extends IBaseMapper<BmstruckDetailsStatement, Short> {

    @Select("select seq_BMSTRUCK_STATEMENTDETAILS.nextval from dual")
    BigDecimal selectDetailsStatementId();

    int insertSelective(BmstruckDetailsStatement bmstruckDetailsStatement);
}