package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmstruckFormula;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface BmstruckFormulaMapper extends IBaseMapper<BmstruckFormula, BigDecimal> {

    /**
     * 查询汽运计费公式
     * @param formulaId
     * @return
     */
    String getTruckFormula(BigDecimal formulaId);

    /**
     * 查询计费公式和名称
     * @param formulaId
     * @return
     */
    Map<String, Object> selectAnyFormula(BigDecimal formulaId);
}