package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmstruckInvoice;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface BmstruckInvoiceMapper extends IBaseMapper<BmstruckInvoice, BigDecimal> {

    @Select("select seq_BMSTRUCK_INVOICE.nextval from dual")
    BigDecimal selectInvoiceId();

    /**
     * 展示发票信息
     * @param mapValue
     * @return
     */
    List<Map<String, Object>> getInvoiceList(Map<String, Object> mapValue);
}