package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.dil.model.BmstruckInvoice;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * BmstruckInvoice服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-16 04:13
 * 类描述
 * 修订历史：
 * 日期：2021-10-16
 * 作者：generator
 * 参考：
 * 描述：BmstruckInvoice服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IBmstruckInvoiceService{

    /**
     * 新增发票
     * @param mapVal
     * @return
     */
    int addBmstruckInvoice(Map<String, Object> mapVal);

    /**
     * 展示发票信息
     * @param mapValue
     * @return
     */
    List<Map<String, Object>> getInvoiceList(Map<String, Object> mapValue);

    /**
     * 通过主键查询
     * @param invoiceId
     * @return
     */
    BmstruckInvoice selectByPrimaryKey(BigDecimal invoiceId);

    /**
     * 修改发票图片路径
     * @param bmstruckInvoice
     * @return
     */
    int updateByPrimaryKeySelective(BmstruckInvoice bmstruckInvoice);
}