package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;



@FeignClient(value = "dil-ams-api", url = "${openfeign.AmsFeign.url}")
public interface AmsFeign {

    @PostMapping(value = "/api/v1/ams/amscontracttransportprice/copySteelPrice")
    Map<String,Object> copySteelPrice(@RequestBody Map<String, Object> priceMap);
}
