package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/27 18:05
 */

@FeignClient(value = "dil-oms-dev", url = "${openfeign.OmsFeign.url}")
public interface OmsFeign {

    @PostMapping("api/v1/oms/omstruckorderseparates/closeInwardOrder")
    Map<String,Object> closeInwardOrder(@RequestParam("orderId") Integer orderId);

}
