package com.steerinfo.dil.service;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/24 17:40
 * @Version:V2.0
 */
public interface IBmstruckFormulaService {

    /**
     * 查询汽运计费公式
     * @param formulaId
     * @return
     */
    String getTruckFormula(BigDecimal formulaId);

    /**
     * 根据主键查询公式和名称
     * @param formulaId
     * @return
     */
    Map<String, Object> selectAnyFormula(BigDecimal formulaId);

}
